---
- name: Ensure remi repository is available
  ansible.builtin.include_role:
    name: let.base_settings.rpm_repos
    tasks_from: remi.yml

- name: Install php
  ansible.builtin.package:
    name: "{{ matomo_php_version }}-{{ item }}"
    state: present
  loop:
    - php
    - php-pdo
    - php-mysqlnd
    - php-fpm
    - php-gd

- name: Enable access to php-fpm socket
  ansible.builtin.copy:
    src: php-fpm-access.conf
    dest: "/etc/opt/remi/{{ matomo_php_version }}/php-fpm.d/99-php-fpm-access.conf"
    owner: root
    group: root
    mode: "0644"
  notify: Restart php-fpm

- name: Ensure php-fpm is running
  ansible.builtin.service:
    name: "{{ matomo_php_version }}-php-fpm.service"
    state: started
    enabled: true

- name: Fetch ZIP file
  ansible.builtin.get_url:
    url: https://builds.matomo.org/matomo.zip
    dest: /root/matomo.zip
    owner: root
    group: root
    mode: "0644"

- name: Extract archive
  ansible.builtin.unarchive:
    src: /root/matomo.zip
    remote_src: true
    dest: /var/www/html
    creates: /var/www/html/matomo

# php-fpm runs with user apache
- name: Make matomo directory writeable
  ansible.builtin.file:
    path: /var/www/html/matomo
    state: directory
    recurse: true
    owner: apache

- name: Create log directory for cronjob
  ansible.builtin.file:
    path: /var/log/matomo
    state: directory
    owner: apache
    group: apache
    mode: "0755"

- name: Deploy matomo cronjob
  ansible.builtin.template:
    src: matomo_cronjob
    dest: /etc/cron.d/matomo
    owner: root
    group: root
    mode: "0644"
